]> jfr.im git - irc/evilnet/x3.git/blobdiff - configure
Added merging SSL fingerprint lists during account merging
[irc/evilnet/x3.git] / configure
index 518f3e5b2eff3d4401012011297f91061138d949..e90878ebf963c6e4c095dc4bb3ede07adb1c14fa 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.in Id: configure.in 2427 2009-01-23 23:27:32Z rubin .
+# From configure.in Id: configure.in 2430 2009-01-26 06:02:53Z rubin .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for X3 1.6.
+# Generated by GNU Autoconf 2.61 for X3 1.7.
 #
 # Report bugs to <evilnet-devel@lists.sourceforge.net>.
 #
@@ -575,8 +575,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='X3'
 PACKAGE_TARNAME='x3'
-PACKAGE_VERSION='1.6'
-PACKAGE_STRING='X3 1.6'
+PACKAGE_VERSION='1.7'
+PACKAGE_STRING='X3 1.7'
 PACKAGE_BUGREPORT='evilnet-devel@lists.sourceforge.net'
 
 ac_unique_file="src/opserv.c"
@@ -1238,7 +1238,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures X3 1.6 to adapt to many kinds of systems.
+\`configure' configures X3 1.7 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1309,7 +1309,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of X3 1.6:";;
+     short | recursive ) echo "Configuration of X3 1.7:";;
    esac
   cat <<\_ACEOF
 
@@ -1333,6 +1333,10 @@ Optional Packages:
                           system (the default), boehm-gc, dmalloc, mpatrol, x3, slab
   --with-protocol=name    Choose IRC dialect to support; one of:
                           p10 (the default)
+  --with-mail=name        How to send mail; one of:
+                          sendmail (the default), smtp
+  --without-epoll         Disables the epoll_*() I/O backend
+  --without-kevent         Disables the kevent() I/O backend
   --without-getopt        Disables building of the GNU getopt library
   --with-tre=PATH         Base path to where libtre is installed, such that
                           PATH/lib/libtre.so and PATH/include/tre/regex.h exist.
@@ -1417,7 +1421,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-X3 configure 1.6
+X3 configure 1.7
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1431,7 +1435,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by X3 $as_me 1.6, which was
+It was created by X3 $as_me 1.7, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2251,7 +2255,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='x3'
- VERSION='1.6'
+ VERSION='1.7'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3673,75 +3677,6 @@ _ACEOF
 
 fi
 
-{ echo "$as_me:$LINENO: checking for inline" >&5
-echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
-if test "${ac_cv_c_inline+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_c_inline=no
-for ac_kw in inline __inline__ __inline; do
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#ifndef __cplusplus
-typedef int foo_t;
-static $ac_kw foo_t static_foo () {return 0; }
-$ac_kw foo_t foo () {return 0; }
-#endif
-
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_cv_c_inline=$ac_kw
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-  test "$ac_cv_c_inline" != no && break
-done
-
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
-echo "${ECHO_T}$ac_cv_c_inline" >&6; }
-
-
-case $ac_cv_c_inline in
-  inline | yes) ;;
-  *)
-    case $ac_cv_c_inline in
-      no) ac_val=;;
-      *) ac_val=$ac_cv_c_inline;;
-    esac
-    cat >>confdefs.h <<_ACEOF
-#ifndef __cplusplus
-#define inline $ac_val
-#endif
-_ACEOF
-    ;;
-esac
-
 
 for ac_prog in gawk mawk nawk awk
 do
@@ -6004,7 +5939,10 @@ done
 
 
 
-for ac_header in GeoIP.h GeoIPCity.h fcntl.h math.h tgmath.h malloc.h netdb.h netinet/in.h sys/resource.h sys/timeb.h sys/times.h sys/param.h sys/socket.h sys/time.h sys/types.h sys/wait.h unistd.h getopt.h memory.h arpa/inet.h sys/mman.h sys/stat.h dirent.h
+
+
+
+for ac_header in GeoIP.h GeoIPCity.h arpa/inet.h fcntl.h math.h tgmath.h malloc.h netdb.h netinet/in.h sys/resource.h sys/timeb.h sys/times.h sys/param.h sys/socket.h sys/time.h sys/types.h sys/wait.h unistd.h getopt.h memory.h arpa/inet.h sys/mman.h sys/stat.h dirent.h sys/epoll.h sys/event.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 
 
 
-for ac_func in gettimeofday
-do
-as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for $ac_func" >&5
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
-if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define $ac_func innocuous_$ac_func
 
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $ac_func (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
 
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
 
-#undef $ac_func
 
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char $ac_func ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined __stub_$ac_func || defined __stub___$ac_func
-choke me
-#endif
 
-int
-main ()
-{
-return $ac_func ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  eval "$as_ac_var=yes"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
 
-       eval "$as_ac_var=no"
-fi
 
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-fi
-ac_res=`eval echo '${'$as_ac_var'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-if test `eval echo '${'$as_ac_var'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
-_ACEOF
 
-fi
-done
 
-if test $ac_cv_func_gettimeofday = no; then
 
-for ac_func in ftime
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+for ac_func in freeaddrinfo getaddrinfo gai_strerror getnameinfo getpagesize memcpy memset strdup strerror strsignal localtime_r setrlimit getopt getopt_long regcomp regexec regfree sysconf inet_aton epoll_create kqueue kevent select gettimeofday times GetProcessTimes mprotect
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 { echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -6548,30 +6417,14 @@ if test `eval echo '${'$as_ac_var'}'` = yes; then
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
 _ACEOF
 
-else
-  { { echo "$as_me:$LINENO: error: ftime or gettimeofday required. X3 build will fail." >&5
-echo "$as_me: error: ftime or gettimeofday required. X3 build will fail." >&2;}
-   { (exit 1); exit 1; }; }
 fi
 done
 
-fi
-
-
-
-
-
-
-
-
-
-
-
-
 
 
+if test $ac_cv_func_gettimeofday = no; then
 
-for ac_func in freeaddrinfo getaddrinfo getnameinfo getpagesize memcpy memset strdup strerror strsignal localtime_r setrlimit getopt getopt_long sysconf
+for ac_func in ftime
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 { echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -6661,17 +6514,21 @@ if test `eval echo '${'$as_ac_var'}'` = yes; then
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
 _ACEOF
 
+else
+  { { echo "$as_me:$LINENO: error: ftime or gettimeofday required. X3 build will fail." >&5
+echo "$as_me: error: ftime or gettimeofday required. X3 build will fail." >&2;}
+   { (exit 1); exit 1; }; }
 fi
 done
 
+fi
 
 
 
 
 
 
-
-for ac_func in select socket strcspn strspn strtod strtoul
+for ac_func in socket strcspn strspn strtod strtoul
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 { echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -7744,6 +7601,80 @@ fi
 OLD_CFLAGS=$CFLAGS
 CFLAGS="$CFLAGS -W -Wall -Werror"
 
+if test "z$USE_MAINTAINER_MODE" = zyes ; then
+  CFLAGS="$CFLAGS -ansi"
+fi
+
+{ echo "$as_me:$LINENO: checking for inline" >&5
+echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
+if test "${ac_cv_c_inline+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_c_inline=no
+for ac_kw in inline __inline__ __inline; do
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifndef __cplusplus
+typedef int foo_t;
+static $ac_kw foo_t static_foo () {return 0; }
+$ac_kw foo_t foo () {return 0; }
+#endif
+
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_c_inline=$ac_kw
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+  test "$ac_cv_c_inline" != no && break
+done
+
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
+echo "${ECHO_T}$ac_cv_c_inline" >&6; }
+
+
+case $ac_cv_c_inline in
+  inline | yes) ;;
+  *)
+    case $ac_cv_c_inline in
+      no) ac_val=;;
+      *) ac_val=$ac_cv_c_inline;;
+    esac
+    cat >>confdefs.h <<_ACEOF
+#ifndef __cplusplus
+#define inline $ac_val
+#endif
+_ACEOF
+    ;;
+esac
+
+
 { echo "$as_me:$LINENO: checking for time_t format" >&5
 echo $ECHO_N "checking for time_t format... $ECHO_C" >&6; }
 if test "${ac_cv_fmt_time_t+set}" = set; then
@@ -8878,6 +8809,88 @@ echo "$as_me: error: Unknown IRC dialect $withval" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
+{ echo "$as_me:$LINENO: checking how to send mail" >&5
+echo $ECHO_N "checking how to send mail... $ECHO_C" >&6; }
+
+# Check whether --with-mail was given.
+if test "${with_mail+set}" = set; then
+  withval=$with_mail;
+else
+  withval="sendmail"
+fi
+
+if test -r "${srcdir}/src/mail-${withval}.c" ; then
+  { echo "$as_me:$LINENO: result: $withval" >&5
+echo "${ECHO_T}$withval" >&6; }
+  MODULE_OBJS="$MODULE_OBJS mail-${withval}.\$(OBJEXT)"
+else
+  { { echo "$as_me:$LINENO: error: Unknown mail method $withval" >&5
+echo "$as_me: error: Unknown mail method $withval" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+{ echo "$as_me:$LINENO: checking I/O multiplexing backends" >&5
+echo $ECHO_N "checking I/O multiplexing backends... $ECHO_C" >&6; }
+IOMUXES=""
+
+if test "x$ac_cv_func_select" = xyes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_IOSET_SELECT 1
+_ACEOF
+
+  MODULE_OBJS="$MODULE_OBJS ioset-select.\$(OBJEXT)"
+  IOMUXES="$IOMUXES select"
+fi
+
+
+# Check whether --with-epoll was given.
+if test "${with_epoll+set}" = set; then
+  withval=$with_epoll;
+else
+  withval="$ac_cv_func_epoll_create"
+fi
+
+if test "x$withval" = xyes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_IOSET_EPOLL 1
+_ACEOF
+
+  MODULE_OBJS="$MODULE_OBJS ioset-epoll.\$(OBJEXT)"
+  IOMUXES="$IOMUXES epoll"
+fi
+
+
+# Check whether --with-kevent was given.
+if test "${with_kevent+set}" = set; then
+  withval=$with_kevent;
+else
+  withval="$ac_cv_func_kevent"
+fi
+
+if test "x$withval" = xyes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_IOSET_KEVENT 1
+_ACEOF
+
+  MODULE_OBJS="$MODULE_OBJS ioset-kevent.\$(OBJEXT)"
+  IOMUXES="$IOMUXES kevent"
+fi
+
+IOMUXES=`echo $IOMUXES | sed 's/^ +//'`
+{ echo "$as_me:$LINENO: result: $IOMUXES" >&5
+echo "${ECHO_T}$IOMUXES" >&6; }
+if test "x$IOMUXES" = "x" ; then
+  { { echo "$as_me:$LINENO: error: No supported I/O multiplexing backend found" >&5
+echo "$as_me: error: No supported I/O multiplexing backend found" >&2;}
+   { (exit 1); exit 1; }; }
+else
+  { echo "$as_me:$LINENO: result: $IOMUXES" >&5
+echo "${ECHO_T}$IOMUXES" >&6; }
+fi
+
 
 # Check whether --with-getopt was given.
 if test "${with_getopt+set}" = set; then
@@ -10572,7 +10585,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by X3 $as_me 1.6, which was
+This file was extended by X3 $as_me 1.7, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -10625,7 +10638,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-X3 config.status 1.6
+X3 config.status 1.7
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"